Index: src/y.tab.c
===================================================================
--- src/y.tab.c	(.../1.0.1)	(revision 183)
+++ src/y.tab.c	(.../1.0.2)	(revision 183)
@@ -2499,20 +3557,22 @@
     add_conf_module(yylval.string);
   }
 #endif
-}
-break;
-case 47:
+;}
+    break;
+
+  case 48:
 #line 492 "ircd_parser.y"
-{
+    {
 #ifndef STATIC_MODULES
   if (ypass == 2)
     mod_add_path(yylval.string);
 #endif
-}
-break;
-case 65:
+;}
+    break;
+
+  case 66:
 #line 517 "ircd_parser.y"
-{
+    {
 #ifdef HAVE_LIBCRYPTO
   if (ypass == 2 && ServerInfo.ctx) 
   {
@@ -2543,11 +3603,12 @@
     }
   }
 #endif
-}
-break;
-case 66:
+;}
+    break;
+
+  case 67:
 #line 551 "ircd_parser.y"
-{
+    {
 #ifdef HAVE_LIBCRYPTO
   if (ypass == 1)
   {
@@ -2604,11 +3665,12 @@
     }
   }
 #endif
-}
-break;
-case 67:
+;}
+    break;
+
+  case 68:
 #line 611 "ircd_parser.y"
-{
+    {
   /* this isn't rehashable */
   if (ypass == 2)
   {
@@ -2619,11 +3681,12 @@
         DupString(ServerInfo.name, yylval.string);
     }
   }
-}
-break;
-case 68:
+;}
+    break;
+
+  case 69:
 #line 625 "ircd_parser.y"
-{
+    {
   /* this isn't rehashable */
   if (ypass == 2 && !ServerInfo.sid)
   {
@@ -2635,21 +3698,23 @@
       exit(0);
     }
   }
-}
-break;
-case 69:
+;}
+    break;
+
+  case 70:
 #line 640 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     MyFree(ServerInfo.description);
     DupString(ServerInfo.description,yylval.string);
   }
-}
-break;
-case 70:
+;}
+    break;
+
+  case 71:
 #line 649 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     char *p;
@@ -2660,41 +3725,45 @@
     MyFree(ServerInfo.network_name);
     DupString(ServerInfo.network_name, yylval.string);
   }
-}
-break;
-case 71:
+;}
+    break;
+
+  case 72:
 #line 663 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     MyFree(ServerInfo.network_desc);
     DupString(ServerInfo.network_desc, yylval.string);
   }
-}
-break;
-case 72:
+;}
+    break;
+
+  case 73:
 #line 672 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     MyFree(ServerInfo.services_name);
     DupString(ServerInfo.services_name, yylval.string);
   }
-}
-break;
-case 73:
+;}
+    break;
+
+  case 74:
 #line 681 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     MyFree(ServerInfo.help_channel);
     DupString(ServerInfo.help_channel, yylval.string);
   }
-}
-break;
-case 74:
+;}
+    break;
+
+  case 75:
 #line 690 "ircd_parser.y"
-{
+    {
   if (ypass == 2 && *yylval.string != '*')
   {
     struct addrinfo hints, *res;
@@ -2719,11 +3788,12 @@
       ServerInfo.specific_ipv4_vhost = 1;
     }
   }
-}
-break;
-case 75:
+;}
+    break;
+
+  case 76:
 #line 718 "ircd_parser.y"
-{
+    {
 #ifdef IPV6
   if (ypass == 2 && *yylval.string != '*')
   {
@@ -2750,35 +3820,37 @@
     }
   }
 #endif
-}
-break;
-case 76:
+;}
+    break;
+
+  case 77:
 #line 748 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     recalc_fdlimit(NULL);
 
-    if (yyvsp[-1].number < MAXCLIENTS_MIN)
+    if ((yyvsp[(3) - (4)].number) < MAXCLIENTS_MIN)
     {
       char buf[IRCD_BUFSIZE];
       ircsprintf(buf, "MAXCLIENTS too low, setting to %d", MAXCLIENTS_MIN);
       yyerror(buf);
     }
-    else if (yyvsp[-1].number > MAXCLIENTS_MAX)
+    else if ((yyvsp[(3) - (4)].number) > MAXCLIENTS_MAX)
     {
       char buf[IRCD_BUFSIZE];
       ircsprintf(buf, "MAXCLIENTS too high, setting to %d", MAXCLIENTS_MAX);
       yyerror(buf);
     }
     else
-      ServerInfo.max_clients = yyvsp[-1].number;
+      ServerInfo.max_clients = (yyvsp[(3) - (4)].number);
   }
-}
-break;
-case 77:
+;}
+    break;
+
+  case 78:
 #line 771 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -2822,171 +3894,193 @@
       }
     }
   }
-}
-break;
-case 85:
+;}
+    break;
+
+  case 86:
 #line 827 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     MyFree(AdminInfo.name);
     DupString(AdminInfo.name, yylval.string);
   }
-}
-break;
-case 86:
+;}
+    break;
+
+  case 87:
 #line 836 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     MyFree(AdminInfo.email);
     DupString(AdminInfo.email, yylval.string);
   }
-}
-break;
-case 87:
+;}
+    break;
+
+  case 88:
 #line 845 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     MyFree(AdminInfo.description);
     DupString(AdminInfo.description, yylval.string);
   }
-}
-break;
-case 104:
+;}
+    break;
+
+  case 105:
 #line 872 "ircd_parser.y"
-{
-                        }
-break;
-case 105:
+    {
+                        ;}
+    break;
+
+  case 106:
 #line 876 "ircd_parser.y"
-{
-                        }
-break;
-case 106:
+    {
+                        ;}
+    break;
+
+  case 107:
 #line 880 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     strlcpy(ConfigLoggingEntry.userlog, yylval.string,
             sizeof(ConfigLoggingEntry.userlog));
-}
-break;
-case 107:
+;}
+    break;
+
+  case 108:
 #line 887 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     strlcpy(ConfigLoggingEntry.failed_operlog, yylval.string,
             sizeof(ConfigLoggingEntry.failed_operlog));
-}
-break;
-case 108:
+;}
+    break;
+
+  case 109:
 #line 894 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     strlcpy(ConfigLoggingEntry.operlog, yylval.string,
             sizeof(ConfigLoggingEntry.operlog));
-}
-break;
-case 109:
+;}
+    break;
+
+  case 110:
 #line 901 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     strlcpy(ConfigLoggingEntry.operspylog, yylval.string,
             sizeof(ConfigLoggingEntry.operspylog));
-}
-break;
-case 110:
+;}
+    break;
+
+  case 111:
 #line 908 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     strlcpy(ConfigLoggingEntry.glinelog, yylval.string,
             sizeof(ConfigLoggingEntry.glinelog));
-}
-break;
-case 111:
+;}
+    break;
+
+  case 112:
 #line 915 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     strlcpy(ConfigLoggingEntry.klinelog, yylval.string,
             sizeof(ConfigLoggingEntry.klinelog));
-}
-break;
-case 112:
+;}
+    break;
+
+  case 113:
 #line 922 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     strlcpy(ConfigLoggingEntry.ioerrlog, yylval.string,
             sizeof(ConfigLoggingEntry.ioerrlog));
-}
-break;
-case 113:
+;}
+    break;
+
+  case 114:
 #line 929 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     strlcpy(ConfigLoggingEntry.killlog, yylval.string,
             sizeof(ConfigLoggingEntry.killlog));
-}
-break;
-case 114:
+;}
+    break;
+
+  case 115:
 #line 936 "ircd_parser.y"
-{ 
+    { 
   if (ypass == 2)
     set_log_level(L_CRIT);
-}
-break;
-case 115:
+;}
+    break;
+
+  case 116:
 #line 940 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     set_log_level(L_ERROR);
-}
-break;
-case 116:
+;}
+    break;
+
+  case 117:
 #line 944 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     set_log_level(L_WARN);
-}
-break;
-case 117:
+;}
+    break;
+
+  case 118:
 #line 948 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     set_log_level(L_NOTICE);
-}
-break;
-case 118:
+;}
+    break;
+
+  case 119:
 #line 952 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     set_log_level(L_TRACE);
-}
-break;
-case 119:
+;}
+    break;
+
+  case 120:
 #line 956 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     set_log_level(L_INFO);
-}
-break;
-case 120:
+;}
+    break;
+
+  case 121:
 #line 960 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     set_log_level(L_DEBUG);
-}
-break;
-case 121:
+;}
+    break;
+
+  case 122:
 #line 966 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     ConfigLoggingEntry.use_logging = yylval.number;
-}
-break;
-case 122:
+;}
+    break;
+
+  case 123:
 #line 975 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     yy_conf = make_conf_item(OPER_TYPE);
@@ -2998,11 +4092,12 @@
     MyFree(class_name);
     class_name = NULL;
   }
-}
-break;
-case 123:
+;}
+    break;
+
+  case 124:
 #line 988 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     struct CollectItem *yy_tmp;
@@ -3080,11 +4175,12 @@
     MyFree(class_name);
     class_name = NULL;
   }
-}
-break;
-case 152:
+;}
+    break;
+
+  case 153:
 #line 1080 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     if (strlen(yylval.string) > OPERNICKLEN)
@@ -3093,11 +4189,12 @@
     MyFree(yy_conf->name);
     DupString(yy_conf->name, yylval.string);
   }
-}
-break;
-case 153:
+;}
+    break;
+
+  case 154:
 #line 1092 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     if (strlen(yylval.string) > OPERNICKLEN)
@@ -3106,11 +4203,12 @@
     MyFree(yy_conf->name);
     DupString(yy_conf->name, yylval.string);
   }
-}
-break;
-case 154:
+;}
+    break;
+
+  case 155:
 #line 1104 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     struct split_nuh_item nuh;
@@ -3141,11 +4239,12 @@
       dlinkAdd(yy_tmp, &yy_tmp->node, &col_conf_list);
     }
   }
-}
-break;
-case 155:
+;}
+    break;
+
+  case 156:
 #line 1138 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     if (yy_aconf->passwd != NULL)
@@ -3154,11 +4253,12 @@
     MyFree(yy_aconf->passwd);
     DupString(yy_aconf->passwd, yylval.string);
   }
-}
-break;
-case 156:
+;}
+    break;
+
+  case 157:
 #line 1150 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3166,11 +4266,12 @@
     else
       ClearConfEncrypted(yy_aconf);
   }
-}
-break;
-case 157:
+;}
+    break;
+
+  case 158:
 #line 1161 "ircd_parser.y"
-{
+    {
 #ifdef HAVE_LIBCRYPTO
   if (ypass == 2)
   {
@@ -3209,173 +4310,204 @@
     BIO_free(file);
   }
 #endif /* HAVE_LIBCRYPTO */
-}
-break;
-case 158:
+;}
+    break;
+
+  case 159:
 #line 1203 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
   {
     MyFree(class_name);
     DupString(class_name, yylval.string);
   }
-}
-break;
-case 159:
+;}
+    break;
+
+  case 160:
 #line 1212 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes = 0;
-}
-break;
-case 163:
+;}
+    break;
+
+  case 164:
 #line 1219 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_BOTS;
-}
-break;
-case 164:
+;}
+    break;
+
+  case 165:
 #line 1223 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_CCONN;
-}
-break;
-case 165:
+;}
+    break;
+
+  case 166:
 #line 1227 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_CCONN_FULL;
-}
-break;
-case 166:
+;}
+    break;
+
+  case 167:
 #line 1231 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_DEAF;
-}
-break;
-case 167:
+;}
+    break;
+
+  case 168:
 #line 1235 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_DEBUG;
-}
-break;
-case 168:
+;}
+    break;
+
+  case 169:
 #line 1239 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_FULL;
-}
-break;
-case 169:
+;}
+    break;
+
+  case 170:
 #line 1243 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_SKILL;
-}
-break;
-case 170:
+;}
+    break;
+
+  case 171:
 #line 1247 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_NCHANGE;
-}
-break;
-case 171:
+;}
+    break;
+
+  case 172:
 #line 1251 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_REJ;
-}
-break;
-case 172:
+;}
+    break;
+
+  case 173:
 #line 1255 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_UNAUTH;
-}
-break;
-case 173:
+;}
+    break;
+
+  case 174:
 #line 1259 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_SPY;
-}
-break;
-case 174:
+;}
+    break;
+
+  case 175:
 #line 1263 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_EXTERNAL;
-}
-break;
-case 175:
+;}
+    break;
+
+  case 176:
 #line 1267 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_OPERWALL;
-}
-break;
-case 176:
+;}
+    break;
+
+  case 177:
 #line 1271 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_SERVNOTICE;
-}
-break;
-case 177:
+;}
+    break;
+
+  case 178:
 #line 1275 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_INVISIBLE;
-}
-break;
-case 178:
+;}
+    break;
+
+  case 179:
 #line 1279 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_WALLOP;
-}
-break;
-case 179:
+;}
+    break;
+
+  case 180:
 #line 1283 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_SOFTCALLERID;
-}
-break;
-case 180:
+;}
+    break;
+
+  case 181:
 #line 1287 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_CALLERID;
-}
-break;
-case 181:
+;}
+    break;
+
+  case 182:
 #line 1291 "ircd_parser.y"
-{
+    {
   if (ypass == 2)
     yy_aconf->modes |= UMODE_LOCOPS;
-}
-break;
-case 182:
-#line 1297 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 183:
+#line 1295 "ircd_parser.y"
+    {
   if (ypass == 2)
+    yy_aconf->modes |= UMODE_SNOOP;
+;}
+    break;
+
+  case 184:
+#line 1301 "ircd_parser.y"
+    {
+  if (ypass == 2)
   {
     if (yylval.number)
       yy_aconf->port |= OPER_FLAG_GLOBAL_KILL;
     else
       yy_aconf->port &= ~OPER_FLAG_GLOBAL_KILL;
   }
-}
-break;
-case 183:
-#line 1308 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 185:
+#line 1312 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3383,11 +4515,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_REMOTE; 
   }
-}
-break;
-case 184:
-#line 1319 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 186:
+#line 1323 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3395,11 +4528,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_REMOTEBAN;
   }
-}
-break;
-case 185:
-#line 1330 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 187:
+#line 1334 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3407,11 +4541,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_K;
   }
-}
-break;
-case 186:
-#line 1341 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 188:
+#line 1345 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3419,11 +4554,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_X;
   }
-}
-break;
-case 187:
-#line 1352 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 189:
+#line 1356 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3431,11 +4567,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_UNKLINE; 
   }
-}
-break;
-case 188:
-#line 1363 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 190:
+#line 1367 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3443,11 +4580,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_GLINE;
   }
-}
-break;
-case 189:
-#line 1374 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 191:
+#line 1378 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3455,11 +4593,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_N;
   }
-}
-break;
-case 190:
-#line 1385 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 192:
+#line 1389 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3467,11 +4606,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_DIE;
   }
-}
-break;
-case 191:
-#line 1396 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 193:
+#line 1400 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3479,11 +4619,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_REHASH;
   }
-}
-break;
-case 192:
-#line 1407 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 194:
+#line 1411 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3491,11 +4632,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_ADMIN;
   }
-}
-break;
-case 193:
-#line 1418 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 195:
+#line 1422 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3503,11 +4645,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_HIDDEN_ADMIN;
   }
-}
-break;
-case 194:
-#line 1429 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 196:
+#line 1433 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3515,11 +4658,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_HIDDEN_OPER;
   }
-}
-break;
-case 195:
-#line 1440 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 197:
+#line 1444 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3527,11 +4671,12 @@
     else
       yy_aconf->port &= ~OPER_FLAG_OPERWALL;
   }
-}
-break;
-case 196:
-#line 1451 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 198:
+#line 1455 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -3539,224 +4684,248 @@
     else
       yy_aconf->port &= ~OPER_FLAG_SNOOP;
   }
-}
-break;
-case 197:
-#line 1462 "ircd_parser.y"
-{
-}
-break;
-case 201:
+;}
+    break;
+
+  case 199:
 #line 1466 "ircd_parser.y"
-{ not_atom = 1; }
-break;
-case 203:
-#line 1467 "ircd_parser.y"
-{ not_atom = 0; }
-break;
-case 205:
+    {
+;}
+    break;
+
+  case 203:
 #line 1470 "ircd_parser.y"
-{
+    { not_atom = 1; ;}
+    break;
+
+  case 205:
+#line 1471 "ircd_parser.y"
+    { not_atom = 0; ;}
+    break;
+
+  case 207:
+#line 1474 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom)yy_aconf->port &= ~OPER_FLAG_GLOBAL_KILL;
     else yy_aconf->port |= OPER_FLAG_GLOBAL_KILL;
   }
-}
-break;
-case 206:
-#line 1477 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 208:
+#line 1481 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_REMOTE;
     else yy_aconf->port |= OPER_FLAG_REMOTE;
   }
-}
-break;
-case 207:
-#line 1484 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 209:
+#line 1488 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_K;
     else yy_aconf->port |= OPER_FLAG_K;
   }
-}
-break;
-case 208:
-#line 1491 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 210:
+#line 1495 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_UNKLINE;
     else yy_aconf->port |= OPER_FLAG_UNKLINE;
   } 
-}
-break;
-case 209:
-#line 1498 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 211:
+#line 1502 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_X;
     else yy_aconf->port |= OPER_FLAG_X;
   }
-}
-break;
-case 210:
-#line 1505 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 212:
+#line 1509 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_GLINE;
     else yy_aconf->port |= OPER_FLAG_GLINE;
   }
-}
-break;
-case 211:
-#line 1512 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 213:
+#line 1516 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_DIE;
     else yy_aconf->port |= OPER_FLAG_DIE;
   }
-}
-break;
-case 212:
-#line 1519 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 214:
+#line 1523 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_REHASH;
     else yy_aconf->port |= OPER_FLAG_REHASH;
   }
-}
-break;
-case 213:
-#line 1526 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 215:
+#line 1530 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_ADMIN;
     else yy_aconf->port |= OPER_FLAG_ADMIN;
   }
-}
-break;
-case 214:
-#line 1533 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 216:
+#line 1537 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_HIDDEN_ADMIN;
     else yy_aconf->port |= OPER_FLAG_HIDDEN_ADMIN;
   }
-}
-break;
-case 215:
-#line 1540 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 217:
+#line 1544 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_N;
     else yy_aconf->port |= OPER_FLAG_N;
   }
-}
-break;
-case 216:
-#line 1547 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 218:
+#line 1551 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_OPERWALL;
     else yy_aconf->port |= OPER_FLAG_OPERWALL;
   }
-}
-break;
-case 217:
-#line 1554 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 219:
+#line 1558 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_OPER_SPY;
     else yy_aconf->port |= OPER_FLAG_OPER_SPY;
   }
-}
-break;
-case 218:
-#line 1561 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 220:
+#line 1565 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_HIDDEN_OPER;
     else yy_aconf->port |= OPER_FLAG_HIDDEN_OPER;
   }
-}
-break;
-case 219:
-#line 1568 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 221:
+#line 1572 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_REMOTEBAN;
     else yy_aconf->port |= OPER_FLAG_REMOTEBAN;
   }
-}
-break;
-case 220:
-#line 1575 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 222:
+#line 1579 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) ClearConfEncrypted(yy_aconf);
     else SetConfEncrypted(yy_aconf);
   }
-}
-break;
-case 221:
-#line 1582 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 223:
+#line 1586 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (not_atom) yy_aconf->port &= ~OPER_FLAG_SNOOP;
     else yy_aconf->port |= OPER_FLAG_SNOOP;
   }
-}
-break;
-case 222:
-#line 1594 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 224:
+#line 1598 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_conf = make_conf_item(WEBIRC_TYPE);
     yy_aconf = map_to_conf(yy_conf);
   }
-}
-break;
-case 223:
-#line 1601 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 225:
+#line 1605 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_conf = NULL;
     yy_aconf = NULL;
   }
-}
-break;
-case 229:
-#line 1613 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 231:
+#line 1617 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(yy_aconf->host);
     DupString(yy_aconf->host, yylval.string);
   }
-}
-break;
-case 230:
-#line 1622 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 232:
+#line 1626 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yy_aconf->passwd != NULL)
@@ -3765,21 +4934,23 @@
     MyFree(yy_aconf->passwd);
     DupString(yy_aconf->passwd, yylval.string);
   }
-}
-break;
-case 231:
-#line 1637 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 233:
+#line 1641 "ircd_parser.y"
+    {
   if (ypass == 1)
   {
     yy_conf = make_conf_item(CLASS_TYPE);
     yy_class = map_to_conf(yy_conf);
   }
-}
-break;
-case 232:
-#line 1644 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 234:
+#line 1648 "ircd_parser.y"
+    {
   if (ypass == 1)
   {
     struct ConfItem *cconf = NULL;
@@ -3819,159 +4990,180 @@
 
     yy_class_name = NULL;
   }
-}
-break;
-case 251:
-#line 1704 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 253:
+#line 1708 "ircd_parser.y"
+    {
   if (ypass == 1)
   {
     MyFree(yy_class_name);
     DupString(yy_class_name, yylval.string);
   }
-}
-break;
-case 252:
-#line 1713 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 254:
+#line 1717 "ircd_parser.y"
+    {
   if (ypass == 1)
   {
     MyFree(yy_class_name);
     DupString(yy_class_name, yylval.string);
   }
-}
-break;
-case 253:
-#line 1722 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 255:
+#line 1726 "ircd_parser.y"
+    {
   if (ypass == 1)
-    PingFreq(yy_class) = yyvsp[-1].number;
-}
-break;
-case 254:
-#line 1728 "ircd_parser.y"
-{
+    PingFreq(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 256:
+#line 1732 "ircd_parser.y"
+    {
   if (ypass == 1)
-    PingWarning(yy_class) = yyvsp[-1].number;
-}
-break;
-case 255:
-#line 1734 "ircd_parser.y"
-{
+    PingWarning(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 257:
+#line 1738 "ircd_parser.y"
+    {
   if (ypass == 1)
-    MaxPerIp(yy_class) = yyvsp[-1].number;
-}
-break;
-case 256:
-#line 1740 "ircd_parser.y"
-{
+    MaxPerIp(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 258:
+#line 1744 "ircd_parser.y"
+    {
   if (ypass == 1)
-    ConFreq(yy_class) = yyvsp[-1].number;
-}
-break;
-case 257:
-#line 1746 "ircd_parser.y"
-{
+    ConFreq(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 259:
+#line 1750 "ircd_parser.y"
+    {
   if (ypass == 1)
-    MaxTotal(yy_class) = yyvsp[-1].number;
-}
-break;
-case 258:
-#line 1752 "ircd_parser.y"
-{
+    MaxTotal(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 260:
+#line 1756 "ircd_parser.y"
+    {
   if (ypass == 1)
-    MaxGlobal(yy_class) = yyvsp[-1].number;
-}
-break;
-case 259:
-#line 1758 "ircd_parser.y"
-{
+    MaxGlobal(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 261:
+#line 1762 "ircd_parser.y"
+    {
   if (ypass == 1)
-    MaxLocal(yy_class) = yyvsp[-1].number;
-}
-break;
-case 260:
-#line 1764 "ircd_parser.y"
-{
+    MaxLocal(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 262:
+#line 1768 "ircd_parser.y"
+    {
   if (ypass == 1)
-    MaxIdent(yy_class) = yyvsp[-1].number;
-}
-break;
-case 261:
-#line 1770 "ircd_parser.y"
-{
+    MaxIdent(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 263:
+#line 1774 "ircd_parser.y"
+    {
   if (ypass == 1)
-    MaxSendq(yy_class) = yyvsp[-1].number;
-}
-break;
-case 262:
-#line 1776 "ircd_parser.y"
-{
+    MaxSendq(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 264:
+#line 1780 "ircd_parser.y"
+    {
   if (ypass == 1)
-    CidrBitlenIPV4(yy_class) = yyvsp[-1].number;
-}
-break;
-case 263:
-#line 1782 "ircd_parser.y"
-{
+    CidrBitlenIPV4(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 265:
+#line 1786 "ircd_parser.y"
+    {
   if (ypass == 1)
-    CidrBitlenIPV6(yy_class) = yyvsp[-1].number;
-}
-break;
-case 264:
-#line 1788 "ircd_parser.y"
-{
+    CidrBitlenIPV6(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 266:
+#line 1792 "ircd_parser.y"
+    {
   if (ypass == 1)
-    NumberPerCidr(yy_class) = yyvsp[-1].number;
-}
-break;
-case 265:
-#line 1797 "ircd_parser.y"
-{
+    NumberPerCidr(yy_class) = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 267:
+#line 1801 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     listener_address = NULL;
     listener_flags = 0;
   }
-}
-break;
-case 266:
-#line 1804 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 268:
+#line 1808 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(listener_address);
     listener_address = NULL;
   }
-}
-break;
-case 267:
-#line 1813 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 269:
+#line 1817 "ircd_parser.y"
+    {
   listener_flags = 0;
-}
-break;
-case 271:
-#line 1819 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 273:
+#line 1823 "ircd_parser.y"
+    {
   if (ypass == 2)
     listener_flags |= LISTENER_SSL;
-}
-break;
-case 272:
-#line 1823 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 274:
+#line 1827 "ircd_parser.y"
+    {
   if (ypass == 2)
     listener_flags |= LISTENER_HIDDEN;
-}
-break;
-case 280:
-#line 1831 "ircd_parser.y"
-{ listener_flags = 0; }
-break;
-case 284:
-#line 1836 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 282:
+#line 1835 "ircd_parser.y"
+    { listener_flags = 0; ;}
+    break;
+
+  case 286:
+#line 1840 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if ((listener_flags & LISTENER_SSL))
@@ -3982,13 +5174,14 @@
         yyerror("SSL not available - port closed");
 	break;
       }
-    add_listener(yyvsp[0].number, listener_address, listener_flags);
+    add_listener((yyvsp[(1) - (1)].number), listener_address, listener_flags);
   }
-}
-break;
-case 285:
-#line 1850 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 287:
+#line 1854 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     int i;
@@ -4002,34 +5195,37 @@
 	break;
       }
 
-    for (i = yyvsp[-2].number; i <= yyvsp[0].number; ++i)
+    for (i = (yyvsp[(1) - (3)].number); i <= (yyvsp[(3) - (3)].number); ++i)
       add_listener(i, listener_address, listener_flags);
   }
-}
-break;
-case 286:
-#line 1870 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 288:
+#line 1874 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(listener_address);
     DupString(listener_address, yylval.string);
   }
-}
-break;
-case 287:
-#line 1879 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 289:
+#line 1883 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(listener_address);
     DupString(listener_address, yylval.string);
   }
-}
-break;
-case 288:
-#line 1891 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 290:
+#line 1895 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     yy_conf = make_conf_item(CLIENT_TYPE);
@@ -4040,11 +5236,12 @@
     MyFree(class_name);
     class_name = NULL;
   }
-}
-break;
-case 289:
-#line 1903 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 291:
+#line 1907 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct CollectItem *yy_tmp = NULL;
@@ -4098,11 +5295,12 @@
     yy_conf = NULL;
     yy_aconf = NULL;
   }
-}
-break;
-case 309:
-#line 1968 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 311:
+#line 1972 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     struct CollectItem *yy_tmp = NULL;
@@ -4134,11 +5332,12 @@
       dlinkAdd(yy_tmp, &yy_tmp->node, &col_conf_list);
     }
   }
-}
-break;
-case 310:
-#line 2005 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 312:
+#line 2009 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     /* be paranoid */
@@ -4148,11 +5347,12 @@
     MyFree(yy_aconf->passwd);
     DupString(yy_aconf->passwd, yylval.string);
   }
-}
-break;
-case 311:
-#line 2018 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 313:
+#line 2022 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
@@ -4160,21 +5360,23 @@
     else
       yy_aconf->flags &= ~CONF_FLAGS_SPOOF_NOTICE;
   }
-}
-break;
-case 312:
-#line 2029 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 314:
+#line 2033 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(class_name);
     DupString(class_name, yylval.string);
   }
-}
-break;
-case 313:
-#line 2038 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 315:
+#line 2042 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     if (yylval.number)
